## org.apache.log4j.lf5.viewer.categoryexplorer
Class TreeModelAdapter

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.TreeModelAdapter

All Implemented Interfaces:
  EventListener, TreeModelListener

    public class TreeModelAdapter

extends Object
implements TreeModelListener

Default implementation of TreeModelListener which does nothing.

Author:
  Richard Wan

Constructor Summary
`TreeModelAdapter()`

Method Summary
`void` `treeNodesChanged(TreeModelEvent e)`
`void` `treeNodesInserted(TreeModelEvent e)`
`void` `treeNodesRemoved(TreeModelEvent e)`
`void` `treeStructureChanged(TreeModelEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeModelAdapter

    public TreeModelAdapter()

Method Detail

### treeNodesChanged

    public void treeNodesChanged(TreeModelEvent e)

  Specified by:
    `treeNodesChanged` in interface `TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(TreeModelEvent e)

  Specified by:
    `treeNodesInserted` in interface `TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(TreeModelEvent e)

  Specified by:
    `treeNodesRemoved` in interface `TreeModelListener`

### treeStructureChanged

    public void treeStructureChanged(TreeModelEvent e)

  Specified by:
    `treeStructureChanged` in interface `TreeModelListener`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.